<div>
  <form [formGroup]="quizForm" (ngSubmit)="submitResponse()">
    <div formArrayName="answers">
      <div *ngFor="let answer of answers.controls; let i = index">
        <input type="text" [formControlName]="i" placeholder="{{ quiz[i].elementSymbol }}" />
      </div>
    </div>
    <div>
      <label for="userName">Kasutajanimi</label>
      <input type="text" id="userName" formControlName="userName" />
    </div>
    <button type="submit">Submit</button>
  </form>
  <p>Your score: {{ message }}</p>
</div>
